Show / Hide Table of Contents

# Struct ImDrawData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImDrawData

### Fields

| Improve this Doc View Source

#### CmdLists

##### Declaration

    public ImDrawList**CmdLists

##### Field Value

Type | Description
--- | ---
ImDrawList** |

| Improve this Doc View Source

#### CmdListsCount

##### Declaration

    public int CmdListsCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### DisplayPos

##### Declaration

    public Vector2 DisplayPos

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### DisplaySize

##### Declaration

    public Vector2 DisplaySize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FramebufferScale

##### Declaration

    public Vector2 FramebufferScale

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### OwnerViewport

##### Declaration

    public ImGuiViewport*OwnerViewport

##### Field Value

Type | Description
--- | ---
ImGuiViewport* |

| Improve this Doc View Source

#### TotalIdxCount

##### Declaration

    public int TotalIdxCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TotalVtxCount

##### Declaration

    public int TotalVtxCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Valid

##### Declaration

    public byte Valid

##### Field Value

Type | Description
--- | ---
System.Byte |